OSDN Git Service

Enable -Werror by default
authorNick Clifton <nickc@redhat.com>
Wed, 16 Mar 2005 16:17:14 +0000 (16:17 +0000)
committerNick Clifton <nickc@redhat.com>
Wed, 16 Mar 2005 16:17:14 +0000 (16:17 +0000)
bfd/ChangeLog
bfd/configure
bfd/configure.in
opcodes/ChangeLog
opcodes/configure
opcodes/configure.in

index 9c6969d..edd7eda 100644 (file)
@@ -1,4 +1,12 @@
 2005-03-16  Nick Clifton  <nickc@redhat.com>
+           Ben Elliston  <bje@au.ibm.com>
+
+       * configure.in (error-on-warning): New switch: Add -Werror to the
+       compiler command line.  Enabled by default.  Disable via
+       --disable-error-on-warning.
+       * configure: Regenerate.
+
+2005-03-16  Nick Clifton  <nickc@redhat.com>
 
        * ecoff.c: Convert to ISO C90 formatting.
 
index 8ae9afe..61afe15 100755 (executable)
@@ -859,6 +859,7 @@ Optional Features:
   --enable-64-bit-bfd     64-bit support (on hosts with narrower word sizes)
   --enable-targets        alternative target configurations
   --enable-commonbfdlib   build shared BFD/opcodes/libiberty library
+  --enable-error-on-warning    treat compile warnings as errors
   --enable-build-warnings Enable build-time compiler warnings if gcc is used
   --enable-maintainer-mode  enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer
@@ -3974,7 +3975,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3977 "configure"' > conftest.$ac_ext
+  echo '#line 3978 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4263,6 +4264,26 @@ else
   want_mmap=false
 fi;
 build_warnings="-W -Wall -Wstrict-prototypes -Wmissing-prototypes"
+
+# Check whether --enable-error-on-warning or --disable-error-on-warning was given.
+if test "${enable_error_on_warning+set}" = set; then
+  enableval="$enable_error_on_warning"
+  case "${enableval}" in
+     yes | y) ERROR_ON_WARNING="yes" ;;
+     no | n)  ERROR_ON_WARNING="no" ;;
+     *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-error-on-warning" >&5
+echo "$as_me: error: bad value ${enableval} for --enable-error-on-warning" >&2;}
+   { (exit 1); exit 1; }; } ;;
+   esac
+fi;
+
+# Enable -Werror by default, suppressing it only for --disable-error-on-warning
+# or --disable-build-warnings.
+if test "${ERROR_ON_WARNING}" != no
+then
+  build_warnings="$build_warnings -Werror"
+fi
+
 # Check whether --enable-build-warnings or --disable-build-warnings was given.
 if test "${enable_build_warnings+set}" = set; then
   enableval="$enable_build_warnings"
index a61bf62..afcae65 100644 (file)
@@ -52,6 +52,22 @@ AC_ARG_WITH(mmap,
 esac],[want_mmap=false])dnl
 
 build_warnings="-W -Wall -Wstrict-prototypes -Wmissing-prototypes"
+
+AC_ARG_ENABLE(error-on-warning,
+  [  --enable-error-on-warning    treat compile warnings as errors],
+  [case "${enableval}" in
+     yes | y) ERROR_ON_WARNING="yes" ;;
+     no | n)  ERROR_ON_WARNING="no" ;;
+     *) AC_MSG_ERROR(bad value ${enableval} for --enable-error-on-warning) ;;
+   esac])
+
+# Enable -Werror by default, suppressing it only for --disable-error-on-warning
+# or --disable-build-warnings.
+if test "${ERROR_ON_WARNING}" != no
+then
+  build_warnings="$build_warnings -Werror"
+fi
+                  
 AC_ARG_ENABLE(build-warnings,
 [  --enable-build-warnings Enable build-time compiler warnings if gcc is used],
 [case "${enableval}" in
index 8daeebc..0bf8a20 100644 (file)
@@ -1,3 +1,11 @@
+2005-03-16  Nick Clifton  <nickc@redhat.com>
+           Ben Elliston  <bje@au.ibm.com>
+
+       * configure.in (error-on-warning): New switch: Add -Werror to the
+       compiler command line.  Enabled by default.  Disable via
+       --disable-error-on-warning.
+       * configure: Regenerate.
+
 2005-03-16  Alan Modra  <amodra@bigpond.net.au>
 
        * ppc-dis.c (powerpc_dialect): Don't set PPC_OPCODE_ALTIVEC when
index 75d946d..6f57f4a 100755 (executable)
@@ -858,6 +858,7 @@ Optional Features:
   --disable-libtool-lock  avoid locking (might break parallel builds)
   --enable-targets        alternative target configurations
   --enable-commonbfdlib   build shared BFD/opcodes/libiberty library
+  --enable-error-on-warning    treat compile warnings as errors
   --enable-build-warnings Enable build-time compiler warnings if gcc is used
   --enable-maintainer-mode  enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer
@@ -3978,7 +3979,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3981 "configure"' > conftest.$ac_ext
+  echo '#line 3982 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4242,6 +4243,26 @@ echo "$as_me: error: bad value ${enableval} for opcodes commonbfdlib option" >&2
 esac
 fi;
 build_warnings="-W -Wall -Wstrict-prototypes -Wmissing-prototypes"
+
+# Check whether --enable-error-on-warning or --disable-error-on-warning was given.
+if test "${enable_error_on_warning+set}" = set; then
+  enableval="$enable_error_on_warning"
+  case "${enableval}" in
+     yes | y) ERROR_ON_WARNING="yes" ;;
+     no | n)  ERROR_ON_WARNING="no" ;;
+     *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-error-on-warning" >&5
+echo "$as_me: error: bad value ${enableval} for --enable-error-on-warning" >&2;}
+   { (exit 1); exit 1; }; } ;;
+   esac
+fi;
+
+# Enable -Werror by default, suppressing it only for --disable-error-on-warning
+# or --disable-build-warnings.
+if test "${ERROR_ON_WARNING}" != no
+then
+  build_warnings="$build_warnings -Werror"
+fi
+
 # Check whether --enable-build-warnings or --disable-build-warnings was given.
 if test "${enable_build_warnings+set}" = set; then
   enableval="$enable_build_warnings"
index bbe5aa3..cdf5c51 100644 (file)
@@ -45,6 +45,22 @@ AC_ARG_ENABLE(commonbfdlib,
 esac])dnl
 
 build_warnings="-W -Wall -Wstrict-prototypes -Wmissing-prototypes"
+
+AC_ARG_ENABLE(error-on-warning,
+  [  --enable-error-on-warning    treat compile warnings as errors],
+  [case "${enableval}" in
+     yes | y) ERROR_ON_WARNING="yes" ;;
+     no | n)  ERROR_ON_WARNING="no" ;;
+     *) AC_MSG_ERROR(bad value ${enableval} for --enable-error-on-warning) ;;
+   esac])
+
+# Enable -Werror by default, suppressing it only for --disable-error-on-warning
+# or --disable-build-warnings.
+if test "${ERROR_ON_WARNING}" != no
+then
+  build_warnings="$build_warnings -Werror"
+fi
+                  
 AC_ARG_ENABLE(build-warnings,
 [  --enable-build-warnings Enable build-time compiler warnings if gcc is used],
 [case "${enableval}" in